@import "assets/stylesheets/colors";
@import "assets/stylesheets/typography";

.text-field-container {
  .MuiTextField-root {
    .MuiFormLabel-root {
      color: $secondary-text;

      &.Mui-error {
        color: $primary-red;
      }
    }

    .MuiInputLabel-root {
      &.Mui-focused {
        color: $primary-purple;

        &.Mui-error {
          color: $primary-red;
        }
      }
    }

    .MuiInputBase-root {
      color: $secondary-text;
      @extend h6;

      .MuiOutlinedInput-notchedOutline {
        border-color: $primary-border;
      }

      &.Mui-error {
        color: $primary-red;

        &:hover {
          .MuiOutlinedInput-notchedOutline {
            border-color: $primary-red;
          }
        }

        &.Mui-focused {
          .MuiOutlinedInput-notchedOutline {
            border-color: $primary-red;
          }
        }
      }

      &:hover {
        .MuiOutlinedInput-notchedOutline {
          border-color: $primary-purple;
        }

        .MuiInputAdornment-root {
          border-color: $primary-purple;
        }
      }

      &.Mui-focused {
        .MuiOutlinedInput-notchedOutline {
          border-color: $primary-purple;
        }
      }
    }
  }
}